<div class="page-container has-padding has-white-background is-fullwidth">
  <div class="page-header-container">

    <app-page-header [pageInfo]="pageHeaderInfo"></app-page-header>
    <p class="chapo">
      <ng-container i18n="@@changelog.description">
        Your recommendations to improve this portal are regularly integrated.
        Here is the list of the last evolutions of the portal. If you wish to contribute to the optimization of the
        portal, do not hesitate to </ng-container>
      <a [routerLink]="['/', AppRoutes.contact.uri]" i18n="@@organizations.contactus">contact us</a>.
    </p>
  </div>

  <div id="content">
    <ul class="timeline" *ngIf="changelogs">
      <ng-container *ngFor="let changelog of changelogs; let i = index">

        <div class="last-update is-hidden-mobile" *ngIf="i === 0" i18n="@@changelog.lastupdate">Last update</div>
        <div class="last-update is-hidden-tablet" *ngIf="i === 0">
          <p i18n="@@changelog.lastupdate.mobile1">Last</p>
          <p i18n="@@changelog.lastupdate.mobile2">update</p>
        </div>

        <li class="event" [attr.data-date]="changelog.createDate | date: 'yyyy.MM.dd'">
          <h2 class="version">{{ changelog.version }}</h2>

          <div class="type-change" *ngIf="changelog.majorImprovements && changelog.majorImprovements.length > 0">
            <p class="type-change-title" i18n="@@changelog.major">Major improvements</p>
            <ul>
              <li *ngFor="let majorImprovement of changelog.majorImprovements">
                {{ majorImprovement }}
              </li>
            </ul>
          </div>

          <div class="type-change" *ngIf="changelog.minorImprovements && changelog.minorImprovements.length > 0">
            <p class="type-change-title" i18n="@@changelog.minor">Minor improvements</p>
            <ul>
              <li *ngFor="let minorImprovement of changelog.minorImprovements">
                {{ minorImprovement }}
              </li>
            </ul>
          </div>

          <div class="type-change" *ngIf="changelog.bugFixes && changelog.bugFixes.length > 0">
            <p class="type-change-title" i18n="@@changelog.bugfixes">Bug fixes</p>
            <ul>
              <li *ngFor="let bugFix of changelog.bugFixes">
                {{ bugFix }}
              </li>
            </ul>
          </div>
        </li>

      </ng-container>
    </ul>
  </div>

</div>